> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get carbon emissions per dimension type



## OpenAPI

````yaml openapi/findity-admin-api.json GET /carbonemissions/dimensiontypeemissions
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /carbonemissions/dimensiontypeemissions:
    get:
      tags:
        - Carbon emissions
      summary: Get carbon emissions per dimension type
      operationId: getEmissionsPerDimensionType
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/fromDate'
        - $ref: '#/components/parameters/toDate'
        - $ref: '#/components/parameters/sortEmissionsPerDimensionType'
        - $ref: '#/components/parameters/sortOrder'
        - $ref: '#/components/parameters/dimension'
        - $ref: '#/components/parameters/max-2'
        - $ref: '#/components/parameters/offset-2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmissionPerDimensionType'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    organizationId:
      in: query
      name: organizationId
      required: true
      description: The organization id of the carbon emissions
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    fromDate:
      in: query
      name: fromDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2020-01-20'
    toDate:
      in: query
      name: toDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2018-01-23'
    sortEmissionsPerDimensionType:
      name: sort
      in: query
      description: Parameter that defines property used for sorting
      required: false
      schema:
        $ref: '#/components/schemas/sortEmissionsPerDimensionTypeEnum'
    sortOrder:
      name: sortOrder
      in: query
      description: Parameter that defines in which order data will be sorted
      required: false
      schema:
        $ref: '#/components/schemas/sortOrderEnum'
    dimension:
      in: query
      name: dimension
      required: false
      description: Dimension type
      schema:
        type: string
      example: Carbon Dimension
    max-2:
      name: max
      in: query
      description: Max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset-2:
      name: offset
      in: query
      description: Offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
  schemas:
    EmissionPerDimensionType:
      type: object
      properties:
        total:
          properties:
            totalExpenses:
              type: integer
            totalEmission:
              type: number
        data:
          properties:
            meta:
              type: object
              properties:
                total:
                  type: integer
                count:
                  type: integer
            data:
              type: array
              items:
                type: object
                properties:
                  dimension:
                    type: string
                    description: Dimension
                  dimensionType:
                    type: string
                    description: Dimension type
                  emission:
                    type: number
                    description: Carbon emission
                  emissionUnit:
                    type: string
                    description: Unit of emission
                  expensesCount:
                    type: integer
                    description: Count of expenses
                  expensesPercentage:
                    type: number
                    description: Percentage of expenses
      example:
        total:
          totalExpenses: 1
          totalEmission: 10
        data:
          meta:
            total: 1
            count: 1
          data:
            - dimension: 1
              dimensionType: Carbon Dimension
              emission: 20
              emissionUnit: kg
              expensesCount: 2
              expensesPercentage: 100
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    sortEmissionsPerDimensionTypeEnum:
      type: array
      items:
        type: string
        enum:
          - dimension
          - expenses
          - emission
    sortOrderEnum:
      type: array
      items:
        type: string
        enum:
          - asc
          - desc
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````